#
# spec file for package gnome-video-effects
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-video-effects
Version:        0.6.0
Release:        1.4
Summary:        Collection of GStreamer effects
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://wiki.gnome.org/Projects/GnomeVideoEffects
Source0:        https://download.gnome.org/sources/gnome-video-effects/0.6/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildArch:      noarch
Recommends:     frei0r-plugins

%description
A collection of GStreamer effects to be used in different GNOME Modules.

%package devel
Summary:        Collection of GStreamer effects -- Development Files
Group:          Development/Tools/Other
Requires:       %{name} = %{version}

%description devel
A collection of GStreamer effects to be used in different GNOME Modules.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/%{name}/

%files devel
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Wed Jun 14 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.6.0:
  + Fix flip effect with recent gstreamer.
  + Add new scanlines effect using frei0r.
  + Various meson build fixes.
  + Updated translations.
- Drop gnome-video-effects-meson-pkgconfig-fix.patch: Fixed
  upstream.
* Tue Sep 14 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Add frei0r-plugins Recommends: This adds a few filters in Cheese.
* Mon Aug 19 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add gnome-video-effects-meson-pkgconfig-fix.patch: Various meson
  improvements and fixes. Fixes a warning and a regression against
  autotools packaging.
* Sat Aug 10 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.5.0:
  + Port to meson build system.
  + Updated translations.
- Add meson BuildRequires and macros.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Feb  9 2017 zaitor@opensuse.org
- Update to version 0.4.3:
  + Include effects in distribution tarball.
- Changes from version 0.4.2:
  + Correct spelling of inversion effect (bgo#707650).
  + Use only POSIX sh syntax in create_effect_previews.sh.
  + Updated translations.
- Drop obsolete clean section.
* Mon Mar 10 2014 dimstar@opensuse.org
- Update to version 0.4.1:
  + Remove INSTALL from git.
  + Update homepage location.
  + Change timedelay effect to use 1 second delay (bgo#688818).
  + Port create_effects_preview.sh to GStreamer 1.0 (bgo#681090).
  + Updated translations.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 0.4.0:
  + Add horizontal flip effect (bgo#666930)
  + Overhaul build system.
  + Updated translations.
* Thu Jul  7 2011 vuntz@opensuse.org
- Update to version 0.3.0:
  + Add preview links to each of the effects.
  + Add a small tool to generate previews for all effects.
  + Build system fixes and improvements.
  + Updated translations.
* Fri Mar  4 2011 adam@mizerski.pl
- New package, based on version 0.2.0.
